import { AppProps } from 'next/app';
import { Component } from 'react';
import { ProviderProps, useStore } from 'react-redux';

declare const HYDRATE = "NEXT_REDUX_STORE_HYDRATE_ACTION";
interface StoreProviderProps extends Omit<ProviderProps, 'store'> {
    appProps: AppProps<any>;
    store: ReturnType<typeof useStore<any>>;
}
declare class StoreProvider extends Component<StoreProviderProps> {
    store: any;
    lastStateFromPage: any;
    constructor(props: StoreProviderProps);
    shouldComponentUpdate: (nextProps: StoreProviderProps) => boolean;
    hydrate: (payload: any) => void;
    render(): JSX.Element;
}

export { HYDRATE, StoreProvider, StoreProviderProps };
